org.jboss.resteasy.keystone.model

## Class StoredProject

- java.lang.Object
- - org.jboss.resteasy.keystone.model.StoredProject

- All Implemented Interfaces:
    Serializable

      public class StoredProject
      extends Object
      implements Serializable

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoredProject()`
    `StoredProject(Project project)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUserRoleMapping(User user, Role role)`
    `Project` | `getProject()`
    `Map<String,String>` | `getUserNameIds()`
    `Map<String,Set<String>>` | `getUserRoles()`
    `void` | `removeUserRoleMapping(User user, Role role)`
    `Set<String>` | `roleMapping(String userId)`
    `void` | `setProject(Project project)`
    `void` | `setUserNameIds(Map<String,String> userNameIds)`
    `void` | `setUserRoles(Map<String,Set<String>> userRoles)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StoredProject

          public StoredProject()

    - #### StoredProject

          public StoredProject(Project project)

  - ### Method Detail

    - #### getProject

          public Project getProject()

    - #### setProject

          public void setProject(Project project)

    - #### getUserRoles

          public Map<String,Set<String>> getUserRoles()

    - #### setUserRoles

          public void setUserRoles(Map<String,Set<String>> userRoles)

    - #### roleMapping

          public Set<String> roleMapping(String userId)

    - #### addUserRoleMapping

          public void addUserRoleMapping(User user,
                                Role role)

    - #### removeUserRoleMapping

          public void removeUserRoleMapping(User user,
                                   Role role)

    - #### getUserNameIds

          public Map<String,String> getUserNameIds()

    - #### setUserNameIds

          public void setUserNameIds(Map<String,String> userNameIds)

Copyright © 2014. All Rights Reserved.